#!/bin/bash

set -ex

PROGRAM_ARGUMENTS="-Dspring.profiles.active=${ENV} -Dspring.batch.job.names=${JOB_NAME}"

if [[ -n "${MIGRATE_ONLY_POLICIES}" ]]; then
    PROGRAM_ARGUMENTS="${PROGRAM_ARGUMENTS} -Dmigrate.only.policies=${MIGRATE_ONLY_POLICIES}"
fi

if [[ -n "${MIGRATE_ONLY_ORG_KEYS}" ]]; then
    PROGRAM_ARGUMENTS="${PROGRAM_ARGUMENTS} -Dmigrate.only.org_keys=${MIGRATE_ONLY_ORG_KEYS}"
fi

if [[ -n "${DELETE_ALL_BEFORE_START}" ]]; then
    PROGRAM_ARGUMENTS="${PROGRAM_ARGUMENTS} -Dmigrate.policy.delete_all_before_start=${DELETE_ALL_BEFORE_START}"
fi

if [[ -n "${DELETE_BULK}" ]]; then
    PROGRAM_ARGUMENTS="${PROGRAM_ARGUMENTS} -Dmigrate.policy.bulk_delete=${DELETE_BULK}"
fi

if [[ -n "${MIGRATE_ENV}" ]]; then
    PROGRAM_ARGUMENTS="${PROGRAM_ARGUMENTS} -Dmigrate.env=${MIGRATE_ENV}"
fi

if [[ -n "${PROCESS_RANGE}" ]]; then
    PROGRAM_ARGUMENTS="${PROGRAM_ARGUMENTS} -Dprocess.range=${PROCESS_RANGE}"
fi

if [[ -n "${PROCESS_RANGE_START}" ]]; then
    PROGRAM_ARGUMENTS="${PROGRAM_ARGUMENTS} -Dprocess.range.start=${PROCESS_RANGE_START}"
fi

if [[ -n "${PROCESS_RANGE_END}" ]]; then
    PROGRAM_ARGUMENTS="${PROGRAM_ARGUMENTS} -Dprocess.range.end=${PROCESS_RANGE_END}"
fi

if [[ -n "${UPDATE_MIGRATE_STATUS}" ]]; then
    PROGRAM_ARGUMENTS="${PROGRAM_ARGUMENTS} -Dmigrate.update_status=${UPDATE_MIGRATE_STATUS}"
fi

if [[ -n "${SKIP_ORGS_CREATED_BY}" ]]; then
    PROGRAM_ARGUMENTS="${PROGRAM_ARGUMENTS} -Dskip.orgs.created_by=${SKIP_ORGS_CREATED_BY}"
fi

if [[ -n "${DRYRUN_TARGET_OPERATION_NAME}" ]]; then
    PROGRAM_ARGUMENTS="${PROGRAM_ARGUMENTS} -Ddryrun.target.operation.name=${DRYRUN_TARGET_OPERATION_NAME}"
fi

bash -c "java -Dlog4j2.formatMsgNoLookups=true -Xmx1g -Xms1g ${PROGRAM_ARGUMENTS} -jar /code/policy-migration.jar"
